Package: java.util

## Class AbstractMap

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `String` | `toString()` Returns the string representation of the given map.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

  - #### Methods inherited from interface java.util.Map

    `any`, `asBoolean`, `asChecked`, `asImmutable`, `asSynchronized`, `asType`, `asUnmodifiable`, `collect`, `collect`, `collectEntries`, `collectEntries`, `collectEntries`, `collectEntries`, `collectKeys`, `collectKeys`, `collectMany`, `collectMany`, `collectValues`, `collectValues`, `count`, `count`, `countBy`, `drop`, `dropWhile`, `each`, `eachWithIndex`, `equals`, `every`, `find`, `findAll`, `findResult`, `findResult`, `findResults`, `get`, `getAt`, `groupBy`, `groupBy`, `groupBy`, `groupEntriesBy`, `inject`, `injectAll`, `intersect`, `isCase`, `isNotCase`, `iterator`, `leftShift`, `leftShift`, `max`, `min`, `minus`, `plus`, `plus`, `plus`, `plus`, `putAll`, `putAt`, `removeAll`, `retainAll`, `reverseEach`, `sort`, `sort`, `sort`, `spread`, `subMap`, `subMap`, `take`, `takeWhile`, `toMapString`, `toMapString`, `toSorted`, `toSorted`, `toSorted`, `toSpreadMap`, `withDefault`, `withDefault`

- - ### Methods Detail

    - #### public String toString()

      Returns the string representation of the given map.

      Returns:
        the string representation
      Since:
        1.0
      See Also:
        Map#toMapString()